
Redmine - Feature #29306

Add assignee's icon to tooltips in gantt and calendar

2018-08-01 05:25 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

It will be easier to understand who is involved in the issue.

Currently, gantt shows assignees icons to the left side of the issue's subjects. But it is not so noticeable. I think the assignee is

important information to manage projects, so it should improve efficiency when users work with gantt.

 

This feature request is inspired by Asana.

 asana@2x.png 

Associated revisions

Revision 17493 - 2018-09-19 01:44 - Go MAEDA

Add assignee's icon to tooltips in gantt and calendar (#29306).

Patch by Mizuki ISHIKAWA.

History

#1 - 2018-08-01 05:26 - Go MAEDA

- Description updated

#2 - 2018-08-08 07:44 - Mizuki ISHIKAWA

- File result.png added

- File add-assignee-icon-on-tooltip.patch added

+1

I wrote a patch for this feature.

result:

 result.png 

#3 - 2018-08-19 06:33 - Go MAEDA

Thank you for writing the patch.

But I noticed that there is "Assignee" field in the tooltips and it is natural to show an icon beside the assignee's name. What do you think?
#4 - 2018-08-20 02:25 - Mizuki ISHIKAWA

- File ScreenShot_gantt.png added

- File add-assignee-icon-on-tooltip-v2.patch added

- File add-assignee-icon-on-tooltip-v3.patch added

The patch of #29306#note-2 displayed the author, not the assignee.

I attach the fixed patch. → add-assignee-icon-on-tooltip-v2.patch

Go MAEDA wrote:

Thank you for writing the patch.

But I noticed that there is "Assignee" field in the tooltips and it is natural to show an icon beside the assignee's name. What do you think?

 It sounds good. But I can not decide which is better.

add-assignee-icon-on-tooltip-v3.patch result:

 ScreenShot_gantt.png 

#5 - 2018-08-25 10:35 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2018-09-17 16:18 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

#7 - 2018-09-19 01:45 - Go MAEDA

- Subject changed from Show assignee's icon on tooltips for gantt and calendar to Add assignee's icon to tooltips in gantt and calendar

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. Thank you for improving Redmine.
